(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.vvc10 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFBB").s().p("AgMAMQgEgFAAgHQAAgGAEgGQAGgEAGAAQAHAAAFAEQAGAGgBAGQABAHgGAFQgFAGgHgBQgGABgGgGg");

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1.7,-1.7,3.5,3.5);


(lib.cca11 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.vvc10("synched",0);
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.cca11, new cjs.Rectangle(-1.7,-1.7,3.5,3.5), null);


(lib.cca33 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.cca11();
	this.instance.parent = this;
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:-0.2,alpha:0.199},2).to({y:-0.4,alpha:0.789},5).to({y:-0.7,alpha:0.988},4).to({y:-1.1,alpha:1},24).to({y:-2,alpha:0.109},8).wait(1).to({alpha:0},0).wait(120));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1.7,-1.7,3.5,3.5);


(lib.cca4 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 107
	this.instance = new lib.cca33();
	this.instance.parent = this;
	this.instance.setTransform(67.5,14.5,0.35,0.35);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(30).to({_off:false},0).wait(770));

	// Layer 55
	this.instance_1 = new lib.cca33();
	this.instance_1.parent = this;
	this.instance_1.setTransform(31,-16.5,0.4,0.4);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(17).to({_off:false},0).wait(783));

	// Layer 56
	this.instance_2 = new lib.cca33();
	this.instance_2.parent = this;
	this.instance_2.setTransform(-43,0,0.5,0.5);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(6).to({_off:false},0).wait(794));

	// Layer 57
	this.instance_3 = new lib.cca33();
	this.instance_3.parent = this;
	this.instance_3.setTransform(17,-24,0.4,0.4);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(49).to({_off:false},0).wait(751));

	// Layer 58
	this.instance_4 = new lib.cca33();
	this.instance_4.parent = this;
	this.instance_4.setTransform(29.5,18,0.4,0.4);

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(800));

	// Layer 59
	this.instance_5 = new lib.cca33();
	this.instance_5.parent = this;
	this.instance_5.setTransform(12,-11.5,0.2,0.2);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(26).to({_off:false},0).wait(774));

	// Layer 60
	this.instance_6 = new lib.cca33();
	this.instance_6.parent = this;
	this.instance_6.setTransform(-16,-16.5,0.2,0.2);
	this.instance_6._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(7).to({_off:false},0).wait(793));

	// Layer 61
	this.instance_7 = new lib.cca33();
	this.instance_7.parent = this;
	this.instance_7.setTransform(-15,16.5,0.3,0.3);
	this.instance_7._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(63).to({_off:false},0).wait(737));

	// Layer 62
	this.instance_8 = new lib.cca33();
	this.instance_8.parent = this;
	this.instance_8.setTransform(-30,0,0.4,0.4);
	this.instance_8._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(6).to({_off:false},0).wait(794));

	// Layer 63
	this.instance_9 = new lib.cca33();
	this.instance_9.parent = this;
	this.instance_9.setTransform(-96,-20.5,0.25,0.25);
	this.instance_9._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(15).to({_off:false},0).wait(785));

	// Layer 64
	this.instance_10 = new lib.cca33();
	this.instance_10.parent = this;
	this.instance_10.setTransform(52,-6.5,0.5,0.5);
	this.instance_10._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_10).wait(41).to({_off:false},0).wait(759));

	// Layer 65
	this.instance_11 = new lib.cca33();
	this.instance_11.parent = this;
	this.instance_11.setTransform(-25,22.5,0.6,0.6);
	this.instance_11._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_11).wait(30).to({_off:false},0).wait(770));

	// Layer 66
	this.instance_12 = new lib.cca33();
	this.instance_12.parent = this;
	this.instance_12.setTransform(98.5,-25.5,0.6,0.6);
	this.instance_12._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_12).wait(56).to({_off:false},0).wait(744));

	// Layer 67
	this.instance_13 = new lib.cca33();
	this.instance_13.parent = this;
	this.instance_13.setTransform(82.5,11,0.3,0.3);
	this.instance_13._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_13).wait(20).to({_off:false},0).wait(780));

	// Layer 68
	this.instance_14 = new lib.cca33();
	this.instance_14.parent = this;
	this.instance_14.setTransform(96.5,-8,0.2,0.2);
	this.instance_14._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_14).wait(3).to({_off:false},0).wait(797));

	// Layer 70
	this.instance_15 = new lib.cca33();
	this.instance_15.parent = this;
	this.instance_15.setTransform(42.5,-25.5,0.3,0.3);
	this.instance_15._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_15).wait(45).to({_off:false},0).wait(755));

	// Layer 71
	this.instance_16 = new lib.cca33();
	this.instance_16.parent = this;
	this.instance_16.setTransform(0,0,0.5,0.5);
	this.instance_16._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_16).wait(39).to({_off:false},0).wait(761));

	// Layer 72
	this.instance_17 = new lib.cca33();
	this.instance_17.parent = this;
	this.instance_17.setTransform(259.5,14.5,0.35,0.35);
	this.instance_17._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_17).wait(30).to({_off:false},0).wait(770));

	// Layer 73
	this.instance_18 = new lib.cca33();
	this.instance_18.parent = this;
	this.instance_18.setTransform(223,-16.5,0.4,0.4);
	this.instance_18._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_18).wait(17).to({_off:false},0).wait(783));

	// Layer 74
	this.instance_19 = new lib.cca33();
	this.instance_19.parent = this;
	this.instance_19.setTransform(149,0,0.5,0.5);
	this.instance_19._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_19).wait(40).to({_off:false},0).wait(760));

	// Layer 75
	this.instance_20 = new lib.cca33();
	this.instance_20.parent = this;
	this.instance_20.setTransform(209,-24,0.4,0.4);
	this.instance_20._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_20).wait(5).to({_off:false},0).wait(795));

	// Layer 76
	this.instance_21 = new lib.cca33();
	this.instance_21.parent = this;
	this.instance_21.setTransform(221.5,18,0.4,0.4);
	this.instance_21._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_21).wait(8).to({_off:false},0).wait(792));

	// Layer 77
	this.instance_22 = new lib.cca33();
	this.instance_22.parent = this;
	this.instance_22.setTransform(204,-11.5,0.2,0.2);
	this.instance_22._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_22).wait(26).to({_off:false},0).wait(774));

	// Layer 78
	this.instance_23 = new lib.cca33();
	this.instance_23.parent = this;
	this.instance_23.setTransform(176,-16.5,0.2,0.2);
	this.instance_23._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_23).wait(7).to({_off:false},0).wait(793));

	// Layer 80
	this.instance_24 = new lib.cca33();
	this.instance_24.parent = this;
	this.instance_24.setTransform(162,0,0.4,0.4);
	this.instance_24._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_24).wait(37).to({_off:false},0).wait(763));

	// Layer 81
	this.instance_25 = new lib.cca33();
	this.instance_25.parent = this;
	this.instance_25.setTransform(96,-20.5,0.25,0.25);
	this.instance_25._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_25).wait(15).to({_off:false},0).wait(785));

	// Layer 82
	this.instance_26 = new lib.cca33();
	this.instance_26.parent = this;
	this.instance_26.setTransform(244,-6.5,0.5,0.5);
	this.instance_26._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_26).wait(41).to({_off:false},0).wait(759));

	// Layer 83
	this.instance_27 = new lib.cca33();
	this.instance_27.parent = this;
	this.instance_27.setTransform(167,22.5,0.6,0.6);
	this.instance_27._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_27).wait(30).to({_off:false},0).wait(770));

	// Layer 84
	this.instance_28 = new lib.cca33();
	this.instance_28.parent = this;
	this.instance_28.setTransform(290.5,-25.5,0.6,0.6);
	this.instance_28._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_28).wait(56).to({_off:false},0).wait(744));

	// Layer 85
	this.instance_29 = new lib.cca33();
	this.instance_29.parent = this;
	this.instance_29.setTransform(274.5,11,0.3,0.3);
	this.instance_29._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_29).wait(20).to({_off:false},0).wait(780));

	// Layer 86
	this.instance_30 = new lib.cca33();
	this.instance_30.parent = this;
	this.instance_30.setTransform(288.5,-8,0.2,0.2);
	this.instance_30._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_30).wait(26).to({_off:false},0).wait(774));

	// Layer 88
	this.instance_31 = new lib.cca33();
	this.instance_31.parent = this;
	this.instance_31.setTransform(234.5,-25.5,0.3,0.3);
	this.instance_31._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_31).wait(45).to({_off:false},0).wait(755));

	// Layer 89
	this.instance_32 = new lib.cca33();
	this.instance_32.parent = this;
	this.instance_32.setTransform(192,0,0.5,0.5);
	this.instance_32._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_32).wait(35).to({_off:false},0).wait(765));

	// Layer 90
	this.instance_33 = new lib.cca33();
	this.instance_33.parent = this;
	this.instance_33.setTransform(161.5,19.5,0.35,0.35);
	this.instance_33._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_33).wait(68).to({_off:false},0).wait(732));

	// Layer 91
	this.instance_34 = new lib.cca33();
	this.instance_34.parent = this;
	this.instance_34.setTransform(125,-11.5,0.4,0.4);
	this.instance_34._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_34).wait(55).to({_off:false},0).wait(745));

	// Layer 92
	this.instance_35 = new lib.cca33();
	this.instance_35.parent = this;
	this.instance_35.setTransform(51,5,0.5,0.5);
	this.instance_35._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_35).wait(129).to({_off:false},0).wait(671));

	// Layer 93
	this.instance_36 = new lib.cca33();
	this.instance_36.parent = this;
	this.instance_36.setTransform(111,-19,0.4,0.4);
	this.instance_36._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_36).wait(43).to({_off:false},0).wait(757));

	// Layer 94
	this.instance_37 = new lib.cca33();
	this.instance_37.parent = this;
	this.instance_37.setTransform(123.5,23,0.4,0.4);
	this.instance_37._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_37).wait(46).to({_off:false},0).wait(754));

	// Layer 95
	this.instance_38 = new lib.cca33();
	this.instance_38.parent = this;
	this.instance_38.setTransform(106,-6.5,0.2,0.2);
	this.instance_38._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_38).wait(64).to({_off:false},0).wait(736));

	// Layer 96
	this.instance_39 = new lib.cca33();
	this.instance_39.parent = this;
	this.instance_39.setTransform(78,-11.5,0.2,0.2);
	this.instance_39._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_39).wait(45).to({_off:false},0).wait(755));

	// Layer 97
	this.instance_40 = new lib.cca33();
	this.instance_40.parent = this;
	this.instance_40.setTransform(79,21.5,0.3,0.3);
	this.instance_40._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_40).wait(60).to({_off:false},0).wait(740));

	// Layer 98
	this.instance_41 = new lib.cca33();
	this.instance_41.parent = this;
	this.instance_41.setTransform(64,5,0.4,0.4);
	this.instance_41._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_41).wait(115).to({_off:false},0).wait(685));

	// Layer 99
	this.instance_42 = new lib.cca33();
	this.instance_42.parent = this;
	this.instance_42.setTransform(-2,-15.5,0.25,0.25);
	this.instance_42._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_42).wait(12).to({_off:false},0).wait(788));

	// Layer 100
	this.instance_43 = new lib.cca33();
	this.instance_43.parent = this;
	this.instance_43.setTransform(146,-1.5,0.5,0.5);
	this.instance_43._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_43).wait(131).to({_off:false},0).wait(669));

	// Layer 101
	this.instance_44 = new lib.cca33();
	this.instance_44.parent = this;
	this.instance_44.setTransform(69,27.5,0.6,0.6);
	this.instance_44._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_44).wait(68).to({_off:false},0).wait(732));

	// Layer 102
	this.instance_45 = new lib.cca33();
	this.instance_45.parent = this;
	this.instance_45.setTransform(192.5,-20.5,0.6,0.6);
	this.instance_45._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_45).wait(94).to({_off:false},0).wait(706));

	// Layer 103
	this.instance_46 = new lib.cca33();
	this.instance_46.parent = this;
	this.instance_46.setTransform(176.5,16,0.3,0.3);
	this.instance_46._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_46).wait(58).to({_off:false},0).wait(742));

	// Layer 104
	this.instance_47 = new lib.cca33();
	this.instance_47.parent = this;
	this.instance_47.setTransform(190.5,-3,0.2,0.2);
	this.instance_47._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_47).wait(64).to({_off:false},0).wait(736));

	// Layer 106
	this.instance_48 = new lib.cca33();
	this.instance_48.parent = this;
	this.instance_48.setTransform(136.5,-20.5,0.3,0.3);
	this.instance_48._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_48).wait(118).to({_off:false},0).wait(682));

	// Layer 108
	this.instance_49 = new lib.cca33();
	this.instance_49.parent = this;
	this.instance_49.setTransform(94,5,0.5,0.5);
	this.instance_49._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_49).wait(73).to({_off:false},0).wait(727));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(28.8,17.3,1.4,1.4);


(lib.cca1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 6
	this.instance = new lib.cca4();
	this.instance.parent = this;
	this.instance.setTransform(304.8,-59.4,1,1,0,0,180);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(70).to({_off:false},0).wait(710).to({alpha:0},19).wait(1));

	// Layer 7
	this.instance_1 = new lib.cca4();
	this.instance_1.parent = this;
	this.instance_1.setTransform(85.1,-23.4,1.84,1.84);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1).to({_off:false},0).wait(752).to({alpha:0.609},18).to({_off:true},1).wait(28));

	// Layer 8
	this.instance_2 = new lib.cca4();
	this.instance_2.parent = this;
	this.instance_2.setTransform(129.3,-128.4,1,1,0,0,180);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(30).to({_off:false},0).wait(749).to({alpha:0},20).wait(1));

	// Layer 9
	this.instance_3 = new lib.cca4();
	this.instance_3.parent = this;
	this.instance_3.setTransform(123,-23.4);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(14).to({_off:false},0).wait(724).to({alpha:0},23).to({_off:true},1).wait(38));

	// Layer 10
	this.instance_4 = new lib.cca4();
	this.instance_4.parent = this;
	this.instance_4.setTransform(220.1,63.6,1,1,0,0,180);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(1).to({_off:false},0).wait(760).to({alpha:0},22).to({_off:true},1).wait(16));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = null;


// stage content:
(lib.Element_sky_stars_round_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cca1
	this.instance = new lib.cca1();
	this.instance.parent = this;
	this.instance.setTransform(7,207.8,1.142,1.142);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = null;
// library properties:
lib.properties = {
	id: 'F2053CA09C30F64CB4A59045F7A294E2',
	width: 400,
	height: 400,
	fps: 24,
	color: "#666666",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['F2053CA09C30F64CB4A59045F7A294E2'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;